package club.dawdler.user.mapper;

import club.dawdler.user.entity.User;
import com.anywide.dawdler.serverplug.load.bean.Page;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UserMapper {
    /** 
      * 
      * 删除[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param id	用户ID
     */
    int deleteByPrimaryKey(Integer id);

    /** 
      * 
      * 插入[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param row
     */
    int insert(User row);

    /** 
      * 
      * 插入[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param row
     */
    int insertSelective(User row);

    /** 
      * 
      * 查询[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param id	用户ID
     */
    User selectByPrimaryKey(Integer id);

    /** 
      * 
      * 更新[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param row
     */
    int updateByPrimaryKeySelective(User row);

    /** 
      * 
      * 更新[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param row
     */
    int updateByPrimaryKey(User row);

    /** 
      * 
      * 查询[用户表]
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param user
     */
    int selectPageListCount(User user);

    /** 
      * 
      * 查询[用户表]列表
     * @Copyright	dawlder	2024-10-23
     * <p> Company: dawlder </p>
     * @author srchen
     * @date 2024年10月23日 14:18:22
     * @version 1.0
     * @param user
     * @param page
     */
    List<User> selectPageList(@Param("user") User user, @Param("page") Page page);
}